@extends('layouts.auth')

@section('htmlheader_title')
	Log in
@endsection

@section('content')
	@if(isset($login_note) AND $login_note)
		<div class="alert alert-info alert-dismissible m-auto">
			<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
			<h5><i class="icon fas fa-info"></i> NOTE!</h5>
			{!! $login_note !!}
		</div>
		<br>
	@endisset

	<div class="col-6 pt-2 pb-2 m-auto bg-blue">
		<div class="login-logo">
			<a>{!! config('app.name_html_long') !!}</a>
		</div>

		@if (count($errors) > 0)
			<div class="alert alert-danger">
				<strong>Whoops!</strong> {{ trans('message.someproblems') }}<br><br>
				<ul>
					@foreach ($errors->all() as $error)
						<li>{{ $error }}</li>
					@endforeach
				</ul>
			</div>
		@endif

		@if (Session::has('error'))
			<div class="alert alert-danger">
				<strong>Whoops!</strong> {{ trans('message.someproblems') }}<br><br>
				<ul>
					<li>{{ Session::get('error') }}</li>
				</ul>
			</div>
		@endif

		<!-- /.login-logo -->
		<div class="">
			<div class="xcard-body">
				<div class="text-light text-center p-3 pb-4"><h4>Login</h4></div>

				<form method="post">
					{{ csrf_field() }}

					<div class="row">
						<div class="col-3 text-right">
							Login:
						</div>

						<div class="col-8">
							<div class="input-group mb-3">
								<input type="email" name="email" class="form-control" placeholder="Email">
								<div class="input-group-append">
									<span class="input-group-text"><i class="fas fa-envelope fa-fw"></i></span>
								</div>
							</div>
						</div>
					</div>

					<div class="row">
						<div class="col-3 text-right">
							Password:
						</div>

						<div class="col-8">
							<div class="input mb-3">
								<input type="password" name="password" class="form-control" placeholder="Password">
								<div class="input-group-append">
									<span class="input-group-text"><i class="fas fa-key fa-fw"></i></span>
								</div>
							</div>
						</div>
					</div>

					<div class="row">
						<div class="col-3">&nbsp;</div>
						<div class="col-8">
							<label>
								<input type="checkbox" name="remember"> Remember Me
							</label>
						</div>
					</div>

					<div class="row">
						<!-- /.col -->
						<div class="col-12">
							<button type="submit" name="submit" class="btn btn-lg btn-success mr-0 float-right">Sign In</button>
							<a href="{{ url('/') }}" class="btn btn-lg btn-primary float-right">Cancel</a>
						</div>
						<!-- /.col -->
					</div>
				</form>

				<p class="mb-2">
					<a name="reset" href="{{ url('password/reset') }}">Forgot Password</a>
				</p>

				<p class="mb-0">
					<a href="{{ url('register') }}" class="text-center">Register</a>
				</p>
			</div>
			<!-- /.login-card-body -->
		</div>
	</div>
	<!-- /.login-box -->
@endsection